Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class ButtonGroupFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ButtonGroupFactory

    class ButtonGroupFactory
    extends BeanFactory

Created by IntelliJ IDEA. User: Danno.Ferrin Date: Jul 11, 2008 Time: 9:08:24 PM To change this template use File | Settings | File Templates.

Field Summary
`static String` | `DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP`
`static String` | `DELEGATE_PROPERTY_BUTTON_GROUP`

Fields inherited from class BeanFactory
leaf

Constructor Summary
`ButtonGroupFactory()`

Method Summary
`static def` | `buttonGroupAttributeDelegate(def builder, def node, def attributes)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP

    public static final String DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP

### DELEGATE_PROPERTY_BUTTON_GROUP

    public static final String DELEGATE_PROPERTY_BUTTON_GROUP

Constructor Detail

### ButtonGroupFactory

    ButtonGroupFactory()

Method Detail

### buttonGroupAttributeDelegate

    static def buttonGroupAttributeDelegate(def builder, def node, def attributes)

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.